/*

* GTNetS provides a portable C++ class library for network simulations
*
* Copyright (C) 2003 George F. Riley
*
* No guarantees or warranties or anything are provided or implied in any way
* whatsoever.  Use this program at your own risk.  Permission to use this
* program for any purpose is given, as long as the copyright is kept intact.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

* Permission is hereby granted for any non-commercial use of this code

*/

/*3:*/
#line 67 "gb_dijk.w"

extern long dijkstra();
#define print_dijkstra_result p_dijkstra_result 
extern void print_dijkstra_result();

/*:3*//*5:*/
#line 118 "gb_dijk.w"

#define dist z.I
#define backlink y.V

/*:5*//*6:*/
#line 142 "gb_dijk.w"

extern void(*init_queue)();

extern void(*enqueue)();
extern void(*requeue)();
extern Vertex*(*del_min)();

/*:6*//*7:*/
#line 155 "gb_dijk.w"

#define hh_val x.I

/*:7*//*25:*/
#line 441 "gb_dijk.w"

extern void init_dlist();
extern void enlist();
extern void reenlist();
extern Vertex*del_first();
extern void init_128();
extern Vertex*del_128();
extern void enq_128();
extern void req_128();

/*:25*/
