#ifndef __PRIQUEUE_H
#define __PRIQUEUE_H

#include "droptail.h"

#define NO_PRIQUEUE	3

class PriQueue : public Queue {
public:
  PriQueue() {}
  virtual ~PriQueue() {}

  bool     Enque(Packet*);
  Packet*  Deque();
  Packet*  Remove(MACAddr&);
  int      GetQueueType(Packet*);
  Count_t  Length();
  Count_t  LengthPkts();
  Queue*   Copy() const;
  void     SetInterface(Interface*);
  void     SetLimit(Count_t);
  Count_t  GetLimit() const { return que[0].GetLimit(); }
  void     SetLimitPkts(Count_t);
  Count_t  GetLimitPkts() const { return que[0].GetLimitPkts(); }
  bool     Check(Size_t, Packet* = nil);

private:
  DropTail  que[NO_PRIQUEUE];
};

#endif
