#ifdef SIM


#include "routing.h"

class RoutingOSPF6 : public Routing {

public: 
RoutingOSPF6();
virtual ~RoutingOSPF6();
virtual void Default( RoutingEntry r); 
virtual RoutingEntry GetDefault(); 
virtual void Add(IPAddr_t, Count_t,Interface*, IPAddr_t);
virtual RoutingEntry Lookup(Node*, IPAddr_t); 
virtual RoutingEntry LookupFromPDU(PDU*);
virtual Routing* Clone(); 
virtual RType_t Type();
virtual void    InitializeRoutes(Node*);
virtual bool    NeedInit(); 
virtual Size_t  Size() const;

private:
RoutingEntry defaultRoute;
};

#endif //SIM
